+ date
Sun Feb 18 11:06:37 UTC 2024
+ id
uid=0(root) gid=0(root) groups=0(root)
+ apt-get source --only-source unzip=6.0-26ubuntu3.2+11.0trisquel1
Reading package lists...
Need to get 912 kB of source archives.
Get:1 http://ftp.acc.umu.se/mirror/trisquel/packages aramo-updates/main unzip 6.0-26ubuntu3.2+11.0trisquel1 (dsc) [1628 B]
Get:2 http://ftp.acc.umu.se/mirror/trisquel/packages aramo-updates/main unzip 6.0-26ubuntu3.2+11.0trisquel1 (tar) [910 kB]
dpkg-source: info: extracting unzip in unzip-6.0
dpkg-source: info: unpacking unzip_6.0-26ubuntu3.2+11.0trisquel1.tar.xz
Fetched 912 kB in 0s (3843 kB/s)
W: Download is performed unsandboxed as root as file 'unzip_6.0-26ubuntu3.2+11.0trisquel1.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source unzip=6.0-26ubuntu3.2+11.0trisquel1
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  autoconf automake autopoint autotools-dev debhelper debugedit dh-autoreconf
  dh-strip-nondeterminism dwz libdebhelper-perl
  libfile-stripnondeterminism-perl libsub-override-perl libtool m4 po-debconf
0 upgraded, 15 newly installed, 0 to remove and 245 not upgraded.
Need to get 3149 kB of archives.
After this operation, 8859 kB of additional disk space will be used.
Get:1 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 m4 amd64 1.4.18-5ubuntu2 [199 kB]
Get:2 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 autoconf all 2.71-2 [338 kB]
Get:3 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 autotools-dev all 20220109.1 [44.9 kB]
Get:4 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 automake all 1:1.16.5-1.3 [558 kB]
Get:5 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 autopoint all 0.21-4ubuntu4 [422 kB]
Get:6 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libdebhelper-perl all 13.6ubuntu1 [67.2 kB]
Get:7 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libtool all 2.4.6-15build2 [164 kB]
Get:8 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 dh-autoreconf all 20 [16.1 kB]
Get:9 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libsub-override-perl all 0.09-2 [9532 B]
Get:10 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 libfile-stripnondeterminism-perl all 1.13.0-1 [18.1 kB]
Get:11 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 dh-strip-nondeterminism all 1.13.0-1 [5344 B]
Get:12 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 debugedit amd64 1:5.0-4build1 [47.2 kB]
Get:13 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 dwz amd64 0.14-1build2 [105 kB]
Get:14 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 po-debconf all 1.0.21+nmu1 [233 kB]
Get:15 http://ftp.acc.umu.se/mirror/trisquel/packages aramo/main amd64 debhelper all 13.6ubuntu1 [923 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 3149 kB in 1s (3179 kB/s)
Selecting previously unselected package m4.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 123255 files and directories currently installed.)
Preparing to unpack .../00-m4_1.4.18-5ubuntu2_amd64.deb ...
Unpacking m4 (1.4.18-5ubuntu2) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../01-autoconf_2.71-2_all.deb ...
Unpacking autoconf (2.71-2) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../02-autotools-dev_20220109.1_all.deb ...
Unpacking autotools-dev (20220109.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../03-automake_1%3a1.16.5-1.3_all.deb ...
Unpacking automake (1:1.16.5-1.3) ...
Selecting previously unselected package autopoint.
Preparing to unpack .../04-autopoint_0.21-4ubuntu4_all.deb ...
Unpacking autopoint (0.21-4ubuntu4) ...
Selecting previously unselected package libdebhelper-perl.
Preparing to unpack .../05-libdebhelper-perl_13.6ubuntu1_all.deb ...
Unpacking libdebhelper-perl (13.6ubuntu1) ...
Selecting previously unselected package libtool.
Preparing to unpack .../06-libtool_2.4.6-15build2_all.deb ...
Unpacking libtool (2.4.6-15build2) ...
Selecting previously unselected package dh-autoreconf.
Preparing to unpack .../07-dh-autoreconf_20_all.deb ...
Unpacking dh-autoreconf (20) ...
Selecting previously unselected package libsub-override-perl.
Preparing to unpack .../08-libsub-override-perl_0.09-2_all.deb ...
Unpacking libsub-override-perl (0.09-2) ...
Selecting previously unselected package libfile-stripnondeterminism-perl.
Preparing to unpack .../09-libfile-stripnondeterminism-perl_1.13.0-1_all.deb ...
Unpacking libfile-stripnondeterminism-perl (1.13.0-1) ...
Selecting previously unselected package dh-strip-nondeterminism.
Preparing to unpack .../10-dh-strip-nondeterminism_1.13.0-1_all.deb ...
Unpacking dh-strip-nondeterminism (1.13.0-1) ...
Selecting previously unselected package debugedit.
Preparing to unpack .../11-debugedit_1%3a5.0-4build1_amd64.deb ...
Unpacking debugedit (1:5.0-4build1) ...
Selecting previously unselected package dwz.
Preparing to unpack .../12-dwz_0.14-1build2_amd64.deb ...
Unpacking dwz (0.14-1build2) ...
Selecting previously unselected package po-debconf.
Preparing to unpack .../13-po-debconf_1.0.21+nmu1_all.deb ...
Unpacking po-debconf (1.0.21+nmu1) ...
Selecting previously unselected package debhelper.
Preparing to unpack .../14-debhelper_13.6ubuntu1_all.deb ...
Unpacking debhelper (13.6ubuntu1) ...
Setting up po-debconf (1.0.21+nmu1) ...
Setting up libdebhelper-perl (13.6ubuntu1) ...
Setting up m4 (1.4.18-5ubuntu2) ...
Setting up autotools-dev (20220109.1) ...
Setting up autopoint (0.21-4ubuntu4) ...
Setting up autoconf (2.71-2) ...
Setting up dwz (0.14-1build2) ...
Setting up debugedit (1:5.0-4build1) ...
Setting up libsub-override-perl (0.09-2) ...
Setting up automake (1:1.16.5-1.3) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
Setting up libfile-stripnondeterminism-perl (1.13.0-1) ...
Setting up libtool (2.4.6-15build2) ...
Setting up dh-autoreconf (20) ...
Setting up dh-strip-nondeterminism (1.13.0-1) ...
Setting up debhelper (13.6ubuntu1) ...
Processing triggers for man-db (2.10.2-1) ...
+ find . -maxdepth 1 -name unzip* -type d
+ cd ./unzip-6.0
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package unzip
dpkg-buildpackage: info: source version 6.0-26ubuntu3.2+11.0trisquel1
dpkg-buildpackage: info: source distribution aramo
dpkg-buildpackage: info: source changed by Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean
   debian/rules override_dh_auto_clean
make[1]: Entering directory '/build/unzip/unzip-6.0'
/usr/bin/make -f unix/Makefile clean
make[2]: Entering directory '/build/unzip/unzip-6.0'

         This is a Unix-specific target.  (Just so you know.)

( cd bzip2; /usr/bin/make -f Makebz2.iz RM="rm -f" clean )
make[3]: Entering directory '/build/unzip/unzip-6.0/bzip2'
rm -f blocksort.o huffman.o crctable.o randtable.o compress.o decompress.o bzlib.o libbz2.a
make[3]: Leaving directory '/build/unzip/unzip-6.0/bzip2'
rm -f unzip funzip unzipsfx unzip.o crc32.o  crypt.o envargs.o explode.o extract.o fileio.o globals.o inflate.o list.o match.o process.o ttyio.o ubz2err.o unreduce.o unshrink.o zipinfo.o unix.o funzip.o crc32.o  cryptf.o globalsf.o inflatef.o ttyiof.o unzipsfx.o crc32_.o  crypt_.o extract_.o fileio_.o globals_.o inflate_.o match_.o process_.o ttyio_.o ubz2err_.o unix_.o api.o apihelp.o crc_gcc.o \
  crc_sysv.o unzipstb.o crypt_.c extract_.c globals_.c inflate_.c \
  ttyio_.c crc_i386s.s msdos_.c process_.c unix_.c unzipsfx.c
rm -f flags
rm -rf ./IZunzip
make[2]: Leaving directory '/build/unzip/unzip-6.0'
make[1]: Leaving directory '/build/unzip/unzip-6.0'
   dh_clean
 dpkg-source -b .
dpkg-source: warning: native package version may not have a revision
dpkg-source: info: using source format '3.0 (native)'
dpkg-source: info: building unzip in unzip_6.0-26ubuntu3.2+11.0trisquel1.tar.xz
dpkg-source: info: building unzip in unzip_6.0-26ubuntu3.2+11.0trisquel1.dsc
 debian/rules binary
dh binary
   dh_update_autotools_config
   dh_autoreconf
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/unzip/unzip-6.0'
/usr/bin/make -f unix/Makefile D_USE_BZ2=-DUSE_BZIP2 L_BZ2=-lbz2 \
	CC="x86_64-linux-gnu-gcc" LF2="`dpkg-buildflags --get LDFLAGS`" \
	CF="`dpkg-buildflags --get CFLAGS` -Wall `dpkg-buildflags --get CPPFLAGS` -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT" unzips
make[2]: Entering directory '/build/unzip/unzip-6.0'
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT unzip.c
In file included from unzip.h:719,
                 from unzip.c:68:
unzip.c: In function 'usage':
unzpriv.h:1009:45: warning: format '%c' expects argument of type 'int', but argument 3 has type 'char *' [-Wformat=]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
unzip.c:2117:43: note: in expansion of macro 'LoadFarString'
 2117 |         Info(slide, flag, ((char *)slide, LoadFarString(ZipInfoUsageLine3),
      |                                           ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format '%c' expects a matching 'int' argument [-Wformat=]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
unzip.c:2117:43: note: in expansion of macro 'LoadFarString'
 2117 |         Info(slide, flag, ((char *)slide, LoadFarString(ZipInfoUsageLine3),
      |                                           ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format '%c' expects a matching 'int' argument [-Wformat=]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
unzip.c:2117:43: note: in expansion of macro 'LoadFarString'
 2117 |         Info(slide, flag, ((char *)slide, LoadFarString(ZipInfoUsageLine3),
      |                                           ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format '%c' expects a matching 'int' argument [-Wformat=]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
unzip.c:2117:43: note: in expansion of macro 'LoadFarString'
 2117 |         Info(slide, flag, ((char *)slide, LoadFarString(ZipInfoUsageLine3),
      |                                           ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format '%s' expects a matching 'char *' argument [-Wformat=]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
unzip.c:2117:43: note: in expansion of macro 'LoadFarString'
 2117 |         Info(slide, flag, ((char *)slide, LoadFarString(ZipInfoUsageLine3),
      |                                           ^~~~~~~~~~~~~
In file included from /usr/include/string.h:535,
                 from unzpriv.h:642,
                 from unzip.h:719,
                 from unzip.c:68:
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1676:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1667:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1572:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1563:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from unzip.h:719,
                 from unzip.c:68:
unzip.c: In function 'uz_opts':
unzpriv.h:2718:53: warning: '%s' directive writing up to 74535 bytes into a region of size 65528 [-Wformat-overflow=]
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from unzip.c:68:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 10 and 74545 bytes into a destination of size 65536
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
In file included from unzip.h:719,
                 from unzip.c:68:
unzpriv.h:2718:53: warning: '%s' directive writing up to 74535 bytes into a region of size 65528 [-Wformat-overflow=]
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from unzip.c:68:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 10 and 74545 bytes into a destination of size 65536
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT crc32.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT crypt.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT envargs.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT explode.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT extract.c
In file included from unzip.h:719,
                 from extract.c:37:
extract.c: In function 'extract_or_test_files':
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
extract.c:633:23: note: in expansion of macro 'LoadFarString'
  633 |                       LoadFarString(ReportMsg)));
      |                       ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
extract.c:913:44: note: in expansion of macro 'LoadFarString'
  913 |         Info(slide, 0x401, ((char *)slide, LoadFarString(EndSigMsg)));
      |                                            ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
extract.c:914:44: note: in expansion of macro 'LoadFarString'
  914 |         Info(slide, 0x401, ((char *)slide, LoadFarString(ReportMsg)));
      |                                            ^~~~~~~~~~~~~
extract.c: In function 'UZbunzip2':
extract.c:2939:9: warning: variable 'repeated_buf_err' set but not used [-Wunused-but-set-variable]
 2939 |     int repeated_buf_err;
      |         ^~~~~~~~~~~~~~~~
extract.c: In function 'extract_or_test_files':
extract.c:773:9: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  773 |         read(G.zipfd, (char *)G.inbuf, INBUFSIZ);  /* been here before... */
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
extract.c: In function 'store_info':
extract.c:1085:13: warning: ignoring return value of 'fgets' declared with attribute 'warn_unused_result' [-Wunused-result]
 1085 |             fgets(G.answerbuf, sizeof(G.answerbuf), stdin);
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
extract.c: In function 'extract_or_test_entrylist':
extract.c:1675:29: warning: ignoring return value of 'fgets' declared with attribute 'warn_unused_result' [-Wunused-result]
 1675 |                             fgets(G.filename, FILNAMSIZ, stdin);
      |                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT fileio.c
fileio.c: In function 'disk_error':
fileio.c:1225:5: warning: ignoring return value of 'fgets' declared with attribute 'warn_unused_result' [-Wunused-result]
 1225 |     fgets(G.answerbuf, sizeof(G.answerbuf), stdin);
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT globals.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT inflate.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT list.c
In file included from unzip.h:719,
                 from list.c:24:
list.c: In function 'list_files':
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
list.c:184:38: note: in expansion of macro 'LoadFarString'
  184 |                      ((char *)slide, LoadFarString(ReportMsg)));
      |                                      ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
list.c:521:48: note: in expansion of macro 'LoadFarString'
  521 |             Info(slide, 0x401, ((char *)slide, LoadFarString(EndSigMsg)));
      |                                                ^~~~~~~~~~~~~
list.c: In function 'get_time_stamp':
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
list.c:605:38: note: in expansion of macro 'LoadFarString'
  605 |                      ((char *)slide, LoadFarString(ReportMsg)));
      |                                      ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
list.c:688:44: note: in expansion of macro 'LoadFarString'
  688 |         Info(slide, 0x401, ((char *)slide, LoadFarString(EndSigMsg)));
      |                                            ^~~~~~~~~~~~~
list.c: In function 'list_files':
list.c:350:45: warning: '%03u' directive writing between 3 and 5 bytes into a region of size 4 [-Wformat-overflow=]
  350 |                     sprintf( &methbuf[ 4], "%03u", G.crec.compression_method);
      |                                             ^~~~
list.c:350:44: note: directive argument in the range [0, 65535]
  350 |                     sprintf( &methbuf[ 4], "%03u", G.crec.compression_method);
      |                                            ^~~~~~
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from list.c:24:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 4 and 6 bytes into a destination of size 4
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT match.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT process.c
process.c: In function 'wide_to_local_string':
process.c:2508:7: warning: variable 'state_dependent' set but not used [-Wunused-but-set-variable]
 2508 |   int state_dependent;
      |       ^~~~~~~~~~~~~~~
In file included from /usr/include/string.h:535,
                 from unzpriv.h:642,
                 from unzip.h:719,
                 from process.c:34:
In function 'strncat',
    inlined from 'wide_to_local_string' at process.c:2547:9:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:138:10: warning: 'strncat' output may be truncated copying 1 byte from a string of length 8 [-Wstringop-truncation]
  138 |   return __builtin___strncat_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  139 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT ttyio.c
ttyio.c: In function 'zgetch':
ttyio.c:463:5: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  463 |     read(f, &c, 1);             /* read our character */
      |     ^~~~~~~~~~~~~~
ttyio.c: In function 'getp':
ttyio.c:631:13: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  631 |             read(f, &c, 1);
      |             ^~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT ubz2err.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT unreduce.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT unshrink.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT zipinfo.c
In file included from unzip.h:719,
                 from zipinfo.c:26:
zipinfo.c: In function 'zipinfo':
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
zipinfo.c:836:38: note: in expansion of macro 'LoadFarString'
  836 |                      ((char *)slide, LoadFarString(ReportMsg)));
      |                                      ^~~~~~~~~~~~~
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
zipinfo.c:1025:48: note: in expansion of macro 'LoadFarString'
 1025 |             Info(slide, 0x401, ((char *)slide, LoadFarString(EndSigMsg)));
      |                                                ^~~~~~~~~~~~~
In file included from /usr/include/string.h:535,
                 from unzpriv.h:642,
                 from unzip.h:719,
                 from zipinfo.c:26:
In function 'strncpy',
    inlined from 'zi_opts' at zipinfo.c:580:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'zi_opts' at zipinfo.c:571:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'zi_opts' at zipinfo.c:531:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'zi_opts' at zipinfo.c:522:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
zipinfo.c: In function 'zipinfo':
zipinfo.c:1994:37: warning: '%03u' directive writing between 3 and 5 bytes into a region of size 4 [-Wformat-overflow=]
 1994 |             sprintf( &methbuf[ 1], "%03u", G.crec.compression_method);
      |                                     ^~~~
zipinfo.c:1994:36: note: directive argument in the range [0, 65535]
 1994 |             sprintf( &methbuf[ 1], "%03u", G.crec.compression_method);
      |                                    ^~~~~~
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from zipinfo.c:26:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 4 and 6 bytes into a destination of size 4
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
zipinfo.c:2045:49: warning: '__sprintf_chk' may write a terminating nul past the end of the destination [-Wformat-overflow=]
 2045 |                     sprintf(&attribs[12], "%u.%u", hostver/10, hostver%10);
      |                                                 ^
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from zipinfo.c:26:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 4 and 5 bytes into a destination of size 4
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
zipinfo.c:2088:41: warning: '__sprintf_chk' may write a terminating nul past the end of the destination [-Wformat-overflow=]
 2088 |             sprintf(&attribs[12], "%u.%u", hostver/10, hostver%10);
      |                                         ^
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from zipinfo.c:26:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 4 and 5 bytes into a destination of size 4
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
zipinfo.c:2063:41: warning: '__sprintf_chk' may write a terminating nul past the end of the destination [-Wformat-overflow=]
 2063 |             sprintf(&attribs[12], "%u.%u", hostver/10, hostver%10);
      |                                         ^
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from zipinfo.c:26:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 4 and 5 bytes into a destination of size 4
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
zipinfo.c:2134:52: warning: '__sprintf_chk' may write a terminating nul past the end of the destination [-Wformat-overflow=]
 2134 |                 sprintf(attribs, ".r.-...     %u.%u", hostver/10, hostver%10);
      |                                                    ^
In file included from /usr/include/stdio.h:894,
                 from unzpriv.h:634,
                 from unzip.h:719,
                 from zipinfo.c:26:
/usr/include/x86_64-linux-gnu/bits/stdio2.h:38:10: note: '__sprintf_chk' output between 16 and 17 bytes into a destination of size 16
   38 |   return __builtin___sprintf_chk (__s, __USE_FORTIFY_LEVEL - 1,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   39 |                                   __glibc_objsize (__s), __fmt,
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   40 |                                   __va_arg_pack ());
      |                                   ~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT unix/unix.c
In file included from /usr/include/string.h:535,
                 from ./unzpriv.h:642,
                 from ./unzip.h:719,
                 from unix/unix.c:31:
In function 'strncpy',
    inlined from 'init_conversion_charsets' at unix/unix.c:1914:8,
    inlined from 'init_conversion_charsets' at unix/unix.c:1904:6:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -o unzip  -Lbzip2 unzip.o crc32.o  crypt.o envargs.o explode.o extract.o fileio.o globals.o inflate.o list.o match.o process.o ttyio.o ubz2err.o unreduce.o unshrink.o zipinfo.o unix.o -lbz2 -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT funzip.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DFUNZIP -o cryptf.o crypt.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DFUNZIP -o globalsf.o globals.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DFUNZIP -o inflatef.o inflate.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DFUNZIP -o ttyiof.o ttyio.c
ttyio.c: In function 'getp':
ttyio.c:631:13: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  631 |             read(f, &c, 1);
      |             ^~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -o funzip  funzip.o crc32.o  cryptf.o globalsf.o inflatef.o ttyiof.o -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o unzipsfx.o unzip.c
In file included from /usr/include/string.h:535,
                 from unzpriv.h:642,
                 from unzip.h:719,
                 from unzip.c:68:
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1676:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1667:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1572:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
In function 'strncpy',
    inlined from 'uz_opts' at unzip.c:1563:11:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o crc32_.o crc32.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o crypt_.o crypt.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o extract_.o extract.c
In file included from unzip.h:719,
                 from extract.c:37:
extract.c: In function 'extract_or_test_files':
unzpriv.h:1009:45: warning: format not a string literal and no format arguments [-Wformat-security]
 1009 | #    define LoadFarString(x)        (char *)(x)
      |                                             ^
unzpriv.h:2718:61: note: in definition of macro 'Info'
 2718 |        (*G.message)((zvoid *)&G, (uch *)(buf), (ulg)sprintf sprf_arg, (flag))
      |                                                             ^~~~~~~~
extract.c:633:23: note: in expansion of macro 'LoadFarString'
  633 |                       LoadFarString(ReportMsg)));
      |                       ^~~~~~~~~~~~~
extract.c:773:9: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  773 |         read(G.zipfd, (char *)G.inbuf, INBUFSIZ);  /* been here before... */
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
extract.c: In function 'store_info':
extract.c:1085:13: warning: ignoring return value of 'fgets' declared with attribute 'warn_unused_result' [-Wunused-result]
 1085 |             fgets(G.answerbuf, sizeof(G.answerbuf), stdin);
      |             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
extract.c: In function 'extract_or_test_entrylist':
extract.c:1675:29: warning: ignoring return value of 'fgets' declared with attribute 'warn_unused_result' [-Wunused-result]
 1675 |                             fgets(G.filename, FILNAMSIZ, stdin);
      |                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o fileio_.o fileio.c
fileio.c: In function 'disk_error':
fileio.c:1225:5: warning: ignoring return value of 'fgets' declared with attribute 'warn_unused_result' [-Wunused-result]
 1225 |     fgets(G.answerbuf, sizeof(G.answerbuf), stdin);
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o globals_.o globals.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o inflate_.o inflate.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o match_.o match.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o process_.o process.c
process.c: In function 'wide_to_local_string':
process.c:2508:7: warning: variable 'state_dependent' set but not used [-Wunused-but-set-variable]
 2508 |   int state_dependent;
      |       ^~~~~~~~~~~~~~~
In file included from /usr/include/string.h:535,
                 from unzpriv.h:642,
                 from unzip.h:719,
                 from process.c:34:
In function 'strncat',
    inlined from 'wide_to_local_string' at process.c:2547:9:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:138:10: warning: 'strncat' output may be truncated copying 1 byte from a string of length 8 [-Wstringop-truncation]
  138 |   return __builtin___strncat_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  139 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o ttyio_.o ttyio.c
ttyio.c: In function 'zgetch':
ttyio.c:463:5: warning: ignoring return value of 'read' declared with attribute 'warn_unused_result' [-Wunused-result]
  463 |     read(f, &c, 1);             /* read our character */
      |     ^~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o ubz2err_.o ubz2err.c
x86_64-linux-gnu-gcc -c -g -O2 -ffile-prefix-map=/build/unzip/unzip-6.0=. -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects -fstack-protector-strong -Wall -Wdate-time -D_FORTIFY_SOURCE=2 -I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD -DUSE_BZIP2 -DIZ_HAVE_UXUIDGID -DNOMEMCPY -DNO_WORKING_ISPRINT -DSFX -o unix_.o unix/unix.c
In file included from /usr/include/string.h:535,
                 from ./unzpriv.h:642,
                 from ./unzip.h:719,
                 from unix/unix.c:31:
In function 'strncpy',
    inlined from 'init_conversion_charsets' at unix/unix.c:1914:8,
    inlined from 'init_conversion_charsets' at unix/unix.c:1904:6:
/usr/include/x86_64-linux-gnu/bits/string_fortified.h:95:10: warning: 'strncpy' specified bound 25 equals destination size [-Wstringop-truncation]
   95 |   return __builtin___strncpy_chk (__dest, __src, __len,
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   96 |                                   __glibc_objsize (__dest));
      |                                   ~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -o unzipsfx  unzipsfx.o crc32_.o  crypt_.o extract_.o fileio_.o globals_.o inflate_.o match_.o process_.o ttyio_.o ubz2err_.o unix_.o -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -flto=auto -Wl,-z,relro
make[2]: Leaving directory '/build/unzip/unzip-6.0'
make[1]: Leaving directory '/build/unzip/unzip-6.0'
   create-stamp debian/debhelper-build-stamp
   dh_prep
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/unzip/unzip-6.0'
/usr/bin/make -f unix/Makefile install prefix=`pwd`/debian/tmp/usr
make[2]: Entering directory '/build/unzip/unzip-6.0'
mkdir -p /build/unzip/unzip-6.0/debian/tmp/usr/bin
cp unzip funzip unzipsfx /build/unzip/unzip-6.0/debian/tmp/usr/bin
cp unix/zipgrep /build/unzip/unzip-6.0/debian/tmp/usr/bin
rm -f /build/unzip/unzip-6.0/debian/tmp/usr/bin/zipinfo
ln /build/unzip/unzip-6.0/debian/tmp/usr/bin/unzip /build/unzip/unzip-6.0/debian/tmp/usr/bin/zipinfo
mkdir -p /build/unzip/unzip-6.0/debian/tmp/usr/man/man1
cp man/funzip.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/funzip.1
cp man/unzip.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/unzip.1
cp man/unzipsfx.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/unzipsfx.1
cp man/zipgrep.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/zipgrep.1
cp man/zipinfo.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/zipinfo.1
chmod 755 /build/unzip/unzip-6.0/debian/tmp/usr/bin/funzip /build/unzip/unzip-6.0/debian/tmp/usr/bin/unzip /build/unzip/unzip-6.0/debian/tmp/usr/bin/unzipsfx /build/unzip/unzip-6.0/debian/tmp/usr/bin/zipgrep /build/unzip/unzip-6.0/debian/tmp/usr/bin/zipinfo
chmod 644 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/funzip.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/unzip.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/unzipsfx.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/zipgrep.1 /build/unzip/unzip-6.0/debian/tmp/usr/man/man1/zipinfo.1
make[2]: Leaving directory '/build/unzip/unzip-6.0'
make[1]: Leaving directory '/build/unzip/unzip-6.0'
   dh_install
   dh_installdocs
   dh_installchangelogs
   dh_installman
   dh_installmime
   dh_perl
   dh_link
   dh_strip_nondeterminism
   debian/rules override_dh_compress
make[1]: Entering directory '/build/unzip/unzip-6.0'
dh_compress -XBUGS -XToDo
make[1]: Leaving directory '/build/unzip/unzip-6.0'
   dh_fixperms
   dh_missing
   dh_dwz -a
   debian/rules override_dh_strip
make[1]: Entering directory '/build/unzip/unzip-6.0'
dh_strip
debugedit: debian/unzip/usr/bin/zipinfo: Unknown DWARF DW_FORM_0x1f21
8a79f7cbd2d496c10422ab3fa50cdf90e4804385
debugedit: debian/unzip/usr/bin/funzip: Unknown DWARF DW_FORM_0x1f21
ce3d5c7f1e25b5a957e565b1d9bc88f04d052232
debugedit: debian/unzip/usr/bin/unzipsfx: Unknown DWARF DW_FORM_0x1f21
7d79823aa1096a4ac8d730b8c329101a156c7a22
cd debian/unzip/usr/bin && rm -f zipinfo && ln unzip zipinfo
make[1]: Leaving directory '/build/unzip/unzip-6.0'
   dh_makeshlibs -a
   dh_shlibdeps -a
   dh_installdeb
   dh_gencontrol
   dh_md5sums
   dh_builddeb
pkgstripfiles: processing control file: debian/unzip/DEBIAN/control, package unzip, directory debian/unzip
pkgstripfiles: Truncating usr/share/doc/unzip/changelog.Debian.gz to topmost ten records
pkgstripfiles: Running PNG optimization (using 40 cpus) for package unzip ...
pkgstripfiles: No PNG files.
dpkg-deb: building package 'unzip' in '../unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb'.
 dpkg-genbuildinfo -O../unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.buildinfo
 dpkg-genchanges -O../unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.changes
dpkg-genchanges: info: including full source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: full upload; Debian-native package (full source is included)
+ date
Sun Feb 18 11:07:15 UTC 2024
+ cd ..
+ ls -la
total 1152
drwxr-xr-x  3 root root   4096 Feb 18 11:07 .
drwxr-xr-x  3 root root   4096 Feb 18 11:06 ..
-rw-r--r--  1 root root  59852 Feb 18 11:07 buildlog.txt
drwxr-xr-x 31 root root   4096 Feb 18 11:07 unzip-6.0
-rw-r--r--  1 root root    745 Feb 18 11:06 unzip_6.0-26ubuntu3.2+11.0trisquel1.dsc
-rw-r--r--  1 root root 910304 Feb 18 11:06 unzip_6.0-26ubuntu3.2+11.0trisquel1.tar.xz
-rw-r--r--  1 root root   6711 Feb 18 11:07 unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.buildinfo
-rw-r--r--  1 root root   1831 Feb 18 11:07 unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.changes
-rw-r--r--  1 root root 174414 Feb 18 11:07 unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb
+ find . -maxdepth 1 -type f
+ sha256sum ./unzip_6.0-26ubuntu3.2+11.0trisquel1.dsc ./buildlog.txt ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.buildinfo ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.changes ./unzip_6.0-26ubuntu3.2+11.0trisquel1.tar.xz
f0e069da27e426b215c68dbe4621640d27692e3b272178906d96ac9a478abc0a  ./unzip_6.0-26ubuntu3.2+11.0trisquel1.dsc
ecd15469f11061683bd73befaee1255af2c1528acc97e90ea9af0c45d41b6f79  ./buildlog.txt
a5fc18462ecdfe5abc484fb69fa1c288b65a1dc6582880bfe680c474e9322cb9  ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb
dbcefce8aff29e223ee6951ebe21a2e8d0f90abec7abd5d2fccafcb15a1813a3  ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.buildinfo
dd5f178ae8dadf4ca699b33e9b8d20e5b044bd52638afa88b5516afaf83dc155  ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.changes
6115cd1e2cc69be4e5dfde7c00087da8a150754e080bc391e6cca6aff78dd000  ./unzip_6.0-26ubuntu3.2+11.0trisquel1.tar.xz
+ mkdir published
+ cd published
+ cd ../
+ ls unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/u/unzip/unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb
--2024-02-18 11:07:15--  http://ftp.acc.umu.se/mirror/trisquel/packages/pool/main/u/unzip/unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb
Resolving ftp.acc.umu.se (ftp.acc.umu.se)... 194.71.11.165, 194.71.11.173, 194.71.11.163, ...
Connecting to ftp.acc.umu.se (ftp.acc.umu.se)|194.71.11.165|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 174428 (170K) [application/x-debian-package]
Saving to: 'unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb'

     0K .......... .......... .......... .......... .......... 29% 2.23M 0s
    50K .......... .......... .......... .......... .......... 58% 4.95M 0s
   100K .......... .......... .......... .......... .......... 88% 8.19M 0s
   150K .......... ..........                                 100% 8.58M=0.04s

2024-02-18 11:07:15 (4.15 MB/s) - 'unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb' saved [174428/174428]

+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb
a7d3458585daf0c438e35025ccbad7e1e3f0917c85f9eebd22a7ab5b989061fb  ./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./unzip_6.0-26ubuntu3.2+11.0trisquel1_amd64.deb: FAILED
sha256sum: WARNING: 1 computed checksum did NOT match
